package client_handlers

import (
	"cpone/utils"
	client_mddokter "cpone/views/client/mddokter"

	"github.com/labstack/echo/v4"
)

type MdDokterService interface {
}

func NewMdDokterHandler(us MdDokterService) *MdDokterHandler {
	return &MdDokterHandler{
		MdDokterService: us,
	}
}

type MdDokterHandler struct {
	MdDokterService MdDokterService
}

func (uh *MdDokterHandler) ShowMdDokter(c echo.Context) error {
	helo := client_mddokter.Show()
	return utils.View(c, helo)
}
